Change in ...libosmocore[master]: osmo-release.sh: Verify debian/rules dh_strip lines match LIBVERSION

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

laforge gerrit-no-reply at lists.osmocom.org
Wed Aug 7 15:45:46 UTC 2019


laforge has submitted this change and it was merged. ( https://gerrit.osmocom.org/c/libosmocore/+/15097 )

Change subject: osmo-release.sh: Verify debian/rules dh_strip lines match LIBVERSION
......................................................................

osmo-release.sh: Verify debian/rules dh_strip lines match LIBVERSION

Change-Id: Ib929bfac3689f35aaa58d7d079a46fff188b7e8e
---
M osmo-release.sh
1 file changed, 14 insertions(+), 0 deletions(-)

Approvals:
  Jenkins Builder: Verified
  laforge: Looks good to me, approved



diff --git a/osmo-release.sh b/osmo-release.sh
index d59083c..e9602aa 100755
--- a/osmo-release.sh
+++ b/osmo-release.sh
@@ -60,6 +60,7 @@
 			else
 				echo "WARN: Found $file_matches files matching debian/lib*$major.install for LIBVERSION=$libversion, manual check required!"
 			fi
+
 			control_matches="$(grep -e "Package" "${GIT_TOPDIR}/debian/control" | grep "lib" | grep "$major$" | wc -l)"
 			if [ "z$control_matches" = "z0" ]; then
 				echo "ERROR: Found no matching Package lib*$major in debian/control for LIBVERSION=$libversion"
@@ -69,6 +70,19 @@
 			else
 				echo "WARN: Found $file_matches files matching 'Package: lib*$major' in debian/control for LIBVERSION=$libversion, manual check required!"
 			fi
+
+			dhstrip_lib_total="$(grep -e "dh_strip" "${GIT_TOPDIR}/debian/rules" | grep "\-plib" | wc -l)"
+			dhstrip_lib_matches="$(grep -e "dh_strip" "${GIT_TOPDIR}/debian/rules" | grep "\-plib" | grep "$major" | wc -l)"
+			if [ "z$dhstrip_lib_total" != "z0" ]; then
+				if [ "z$dhstrip_lib_matches" = "z0" ] ; then
+					echo "ERROR: Found no matching 'dh_strip -plib*$major' line in debian/rules for LIBVERSION=$libversion"
+					exit 1
+				elif [ "z$dhstrip_lib_total" = "z1" ]; then
+					echo "OK: Found 'dh_strip -plib*$major' in debian/rules for LIBVERSION=$libversion"
+				else
+					echo "WARN: Found $dhstrip_lib_matches/$dhstrip_lib_total dh_strip matches 'dh_strip -plib*$major' in debian/rules for LIBVERSION=$libversion, manual check required!"
+				fi
+			fi
 		done
 		# catch and forward exit from pipe subshell "while read":
 		if [ $? -ne 0 ]; then

-- 
To view, visit https://gerrit.osmocom.org/c/libosmocore/+/15097
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Change-Id: Ib929bfac3689f35aaa58d7d079a46fff188b7e8e
Gerrit-Change-Number: 15097
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge at gnumonks.org>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190807/f39cd8fc/attachment.htm>


More information about the gerrit-log mailing list